package com.ozs.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 设备动态管理表
 * </p>
 *
 * @author ozs
 * @since 2023-02-22
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("设备动态管理表")
public class BaseDeviceDynamicManagement extends BaseEntity implements Serializable{

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 相机编码
     */
    private String cameraCode;

    /**
     * 剩余电量
     */
    private Integer electricity;

    /**
     * 创建人
     */
    private String createBy;
}
