package com.ozs.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 机车车载终端信息表
 * </p>
 *
 * @author ozs
 * @since 2023-04-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseTerminal implements Serializable {

    private static final long serialVersionUID = 1L;
    @TableField(exist = false)
    private List<Long> ids;

    /**
     * 主键ID
     */
      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 终端编码
     */
    @Excel(name = "终端编码")
    private String terminalCode;

    /**
     * 终端名称
     */
    @Excel(name = "终端名称")
    private String terminalName;

    /**
     * 状态 1在线2离线
     */
    private Integer status;
    @TableField(exist = false)
    private String statusStr;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 终端经度
     */
    private String terminalLongitude;

    /**
     * 终端纬度
     */
    private String terminalLatitude;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remark;

    /**
     * 机车名称
     */
    @TableField(exist = false)
    private String vehicleCode;

//    /**
//     * 是否在线 0.离线 1.在线
//     */
//    private Integer online;
}
