package com.ozs.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import com.ozs.entity.vo.BaseVehicleTerminalDto;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 机车信息表
 * </p>
 *
 * @author ozs
 * @since 2023-04-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseVehicle implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableField(exist = false)
    private List<Long> ids;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 机车号
     */
    @Excel(name = "机车号")
    private String vehicleCode;

    /**
     * 机车名称
     */
    private String vehicleName;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 挂载终端名称
     */
    @TableField(exist = false)
    @Excel(name = "车载终端")
    private String terminalName;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remark;

    /**
     * 机车行驶信息
     */
    @TableField(exist = false)
    private BaseVehicleTerminalDto vehicleTerminalDto;
}
