package com.ozs.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wyy
 * @subject
 * @creat 2023/7/25
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("监测系统管理")
public class MonitorSystem extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 客户端编号
     */
    private String clientId;

    /**
     * 监测系统名称
     */
    private String monitorSystemName;

    /**
     * 系统简介
     */
    private String systemIntroduce;

    /**
     * 报警信息内容
     */
    private String alarmContent;

    /**
     * 报警信息生成机制
     */
    private String alarmGenerate;

    /**
     * 报警解除机制
     */
    private String alarmRelease;

    /**
     * 报警对应的处理措施
     */
    private String treateMeasure;

    /**
     * 状态 1在线2离线
     */
    private Integer status;

    /**
     * 正式环境密钥
     */
    @TableField(exist = false)
    private String clientSecret;

    /**
     * 测试环境密钥
     */
    @TableField(exist = false)
    private String testSecret;

    /**
     * 未解除报警数
     */
    @TableField(exist = false)
    private String countAlarm;

    /**
     * 状态 1在线2离线
     */
    @TableField(exist = false)
    private String statusName;

    /**
     * 最新接入时间
     */
    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date turnOnTime;
    /**
     * 报警总数
     */
    @TableField(exist = false)
    private  Integer countAll;
    /**
     * 未报警总数
     */
    @TableField(exist = false)
    private  Integer failureToReport;
}
