package com.ozs.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * <p>
 * 报警扩展表
 * </p>
 *
 * @author ozs
 * @since 2023-04-10
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("报警扩展表")
public class MsgAlarmExt implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 报警唯一标识UUID
     */
    private String alarmId;

    /**
     * 1图片；2声音；3视频;4.录制视频的地址
     */
    private Integer alarmAttType;

    /**
     * 存储路径
     */
    private String alarmAttPath;


}
