package com.ozs.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 预报警频次表
 * </p>
 *
 * @author ozs
 * @since 2023-02-23
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("预报警频次表")
public class MsgAlarmFrequency extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 报警唯一标识
     */
    private String alarmId;

    /**
     * 报警时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date alarmTime;

    /**
     * 报警线路
     */
    private String railwayCode;

    /**
     * 报警行别 ： 1上行2下行 line_dir
     */
    private Integer lineDir;

    /**
     * 报警里程位置alarm_mile
     */
    private Integer alarmMile;

    /**
     * 报警内容
     */
    private String content;

    /**
     * 报警级别alarm_level
     */
    private Integer alarmLevel;

    /**
     * 报警置信度（百分比）
     */
    private Integer alarmConfidence;

    /**
     * 报警病害类型（1泥石流2异物侵限 3断轨监测）
     */
    private Integer alarmType;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 报警是否解除 1已解除2未解除
     */
    @TableField(exist = false)
    private Integer isLock;
}
