package com.ozs.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @Author : sunhh
 * @create 2023/3/15 14:31
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("Web推送报警信息记录表")
public class MsgWebPush extends BaseEntity {

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 唯一标识- uuid
     */
    private String pushId;

    /**
     * 报警唯一标识
     */
    private String alarmId;

    /**
     * 接收人
     */
    private String receiveBy;

    /**
     * 状态：0未读；1已读
     */
    private Integer status;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否推送，1:推送，2:未推
     */
    private String online;
}
