package com.ozs.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ozs.common.annotation.Excel;
import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.util.Date;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 天网相机心跳监测日志表
 * </p>
 *
 * @author ozs
 * @since 2023-02-17
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("天网相机心跳监测日志表")
public class SkynetHeartbeatLog extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 相机编码
     */
    private String cameraCode;

    /**
     * 线路编码
     */
    private String railwayCode;
    

    /**
     * 行别(1上行2下行）
     */
    private Integer lineDir;

    /**
     * 监控相机安装里程位置
     */
    private Integer installMile;

    private Date createTime;
}