package com.ozs.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 *报警消息访问令牌参数验证表
 * </p>
 *
 * @author ozs
 * @since 2023-02-28
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("报警消息访问令牌参数验证表")
public class SvcAddress implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 授权类型，客户端模式（client_credentials）
     */
    private Integer grantType;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 客户端编号
     */
    private String clientId;

    /**
     * 客户端密钥
     */
    private String clientSecret;

    /**
     * 环境变量1测试,2正式环境
     */
    private Integer env;
}
