package com.ozs.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;

import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.*;

/**
 * <p>
 * 
 * </p>
 *
 * @author ozs
 * @since 2023-04-11
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("终端忽略报警信息记录表")
public class TerminalIgnoreAlarm extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 终端编码
     */
    @Excel(name = "终端编码")
    private String terminalCode;

    /**
     * 终端名称
     */
    @Excel(name = "终端名称")
    @TableField(exist = false)
    private String terminalName;

    /**
     * 报警唯一标识UUID
     */
    @Excel(name = "报警唯一标识")
    private String alarmId;

    /**
     * 忽略时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "忽略时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date ignoreTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remark;
}
