package com.ozs.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import lombok.*;

/**
 * <p>
 * 机车行驶表
 * </p>
 *
 * @author ozs
 * @since 2023-04-11
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("机车行驶日志表")
public class VehiclePosition implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 机车号
     */
    @Excel(name = "机车号")
    private String vehicleCode;

    /**
     *终端编码
     */
    @Excel(name = "终端编码")
    private String terminalCode;

    /**
     *车辆行驶位置
     */
    private Integer travelMile;

    /**
     *行别
     */
    private Integer lineDir;

    /**
     *线路编码
     */
    private String railwayCode;

    /**
     *当前时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date currenTime;

    /**
     *创建时间
     */
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     *备注
     */
    private String remark;

    /**
     * 机车名称
     */
    @TableField(exist = false)
    @Excel(name = "机车名称")
    private String vehicleName;

    /**
     *车辆行驶位置K+
     */
    @TableField(exist = false)
    @Excel(name = "车辆行驶位置")
    private String travelMileFormat;
    /**
     *行别名称
     */
    @TableField(exist = false)
    @Excel(name = "行别名称")
    private String lineDirName;

    /**
     *线路名称
     */
    @TableField(exist = false)
    @Excel(name = "线路名称")
    private String railwayName;

    /**
     * 终端名称
     */
    @TableField(exist = false)
    private String terminalName;

    /**
     * 里程位置(车载终端监控)
     */
    @TableField(exist = false)
    private String mileagePosition;

    /**
     *车载状态
     */
    @TableField(exist = false)
    @Excel(name = "车载状态",readConverterExp = "1=在线,2=离线")
    private String status;

    /**
     *机车车载终端信息表车载状态
     */
    @TableField(exist = false)
    private Integer sta;

    /**
     * 终端经度
     */
    private String terminalLongitude;
    /**
     * 终端纬度
     */
    private String terminalLatitude;
}
