package com.ozs.entity.vo;

import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 * 第三方报警系统心跳监测日志表
 * </p>
 *
 * @author ozs
 * @since 2023-02-17
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("第三方报警系统心跳监测日志表")
public class AlarmHeartbeatLog extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 授权类型，客户端模式（client_credentials）
     */
    private Integer grantType;

    /**
     * 客户端编号
     */
    private String clientId;
   
}