package com.ozs.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * @author wyy
 * @subject
 * @creat 2023/3/15
 */
@Data
public class AlarmStatisticDto {
    /**
     * 报警唯一标识
     */
    @Excel(name = "报警唯一标识")
    private String alarmId;

    /**
     * 报警时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "报警时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date alarmTime;

    /**
     * 线路名称
     */
    @TableField(exist = false)
    @Excel(name = "报警线路")
    private String railwayName;

    /**
     * 行别编码
     */
    private Integer lineDir;

    /**
     * 报警里程位置
     */
    private String alarmMile;

    /**
     * 报警内容
     */
    @Excel(name = "报警内容")
    private String content;

    /**
     * 报警级别
     */
    @Excel(name = "报警级别")
    private Integer alarmLevel;

    /**
     * 报警置信度（百分比）
     */
    @Excel(name = "报警置信度（百分比）")
    private Integer alarmConfidence;

    /**
     * 报警类型编码
     */
    private String alarmType;

    /**
     * 框定范围
     */
    private String alarmAttr;

    /**
     * 报警病害属性（可以给出泥石流的框定范围）字符串
     */
    @Excel(name = "报警病害属性")
    private String alarmAttrString;

    /**
     * 报警是否解除 1已解除2未解除
     */
    private Integer isRelease;

    /**
     * 解除人
     */
    private String releasedBy;

    /**
     * 解除时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "解除时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date releasedTime;

    /**
     * 解除内容
     */
    @Excel(name = "解除内容")
    private String releaseContent;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remark;

    /**
     * 行别
     */
    @Excel(name = "行别")
    private String lineDirName;

    /**
     * 报警里程位置字符串形式
     */
    @Excel(name = "报警里程位置")
    private String alarmMiles;

    /**
     * 报警类型
     */
    @Excel(name = "报警类型")
    private String alarmTypeName;

    /**
     * 报警是否解除 1已解除2未解除
     */
    @Excel(name = "报警是否解除")
    private String isReleaseName;

    /**
     * 解除人真实姓名
     */
    @Excel(name = "解除人")
    private String releasedByName;
}
