package com.ozs.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ozs.common.vo.PageVo;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 相机台账管理请求参数表
 * </p>
 *
 * @author ozs
 * @since 2023-02-17
 */
@Data
public class BaseCameraManagementVo extends PageVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 所属工务段
     */
    private Long deptId;

    /**
     * 行别
     */
    private Integer lineDir;

    /**
     * 线路编码
     */
    private String railwayCode;

    /**
     * 监控范围开始里程位置
     */
    private Integer beginMile;

    /**
     * 监控范围结束里程位置
     */
    private Integer endMile;


    @TableField(exist = false)
    private BigDecimal beginMileBD;


    @TableField(exist = false)
    private BigDecimal endMileBD;

    /**
     * 监控范围开始里程位置字符串形式
     */
    private String beginMiles;

    /**
     * 监控范围结束里程位置字符串形式
     */
    private String endMiles;

    private List<Long> ids;
    
    private Integer online;
    
    private Integer enableOrNot;

    private  String  stationName;

    private String cameraCode;
    
}
