package com.ozs.entity.vo;

import com.ozs.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 * 相机台账管理表
 * </p>
 *
 * @author ozs
 * @since 2023-02-17
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("相机台账管理表")
public class BaseCameraManagementVos implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 相机编码
     */
    @Excel(name = "相机编码")
    private String cameraCode;

    /**
     * 通道编号
     */
    @Excel(name = "通道编号")
    private String channel;

    /**
     * 行别(1上行2下行）
     */
    @Excel(name = "行别", readConverterExp = "1=上行,2=下行")
    private Integer lineDir;

    /**
     * 监视相机经度
     */
    @Excel(name = "监视相机经度")
    private String installLongitude;

    /**
     * 监视相机纬度
     */
    @Excel(name = "监视相机纬度")
    private String installLatitude;

    /**
     * 所属工务段名称
     */
//    @Excel(name = "所属工务段名称")
//    private String deptName;

    /**
     * 监控相机安装里程位置
     */
    @Excel(name = "监控相机安装里程位置")
    private Integer installMile;

    /**
     * 监控范围开始里程位置
     */
    @Excel(name = "监控范围开始里程位置")
    private Integer beginMile;

    /**
     * 监控范围结束里程位置
     */
    @Excel(name = "监控范围结束里程位置")
    private Integer endMile;

    /**
     * 线路名称
     */
    @Excel(name = "线路名称")
    private String railwayName;

    @Excel(name = "测点名称")
    private  String  stationName;
}