package com.ozs.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 线路和相机台账联合表
 * </p>
 *
 * @author ozs
 * @since 2023-02-17
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BaseCameraResVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 相机编码
     */
    @NotBlank(message = "相机编码不能为空")
    private String cameraCode;

    /**
     * 开始时间
     */
    @NotNull(message = "开始时间不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @NotNull(message = "结束时间不能为空")
    private Date entTime;
}
