package com.ozs.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author wyy
 * @subject
 * @creat 2023/5/24
 */
@Data
public class MsgAlarmDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 报警唯一标识
     */
    private String alarmId;

    /**
     * 报警时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date alarmTime;

    /**
     * 报警线路
     */
    private String railwayCode;

    /**
     * 报警里程位置
     */
    private Integer alarmMile;

    /**
     * 报警内容
     */
    private String content;

    /**
     * 报警级别
     */
    private Integer alarmLevel;

    /**
     * 报警置信度（百分比）
     */
    private Integer alarmConfidence;

    /**
     * 报警行别(1上行2下行)
     */
    private Integer lineDir;

    /**
     * 报警病害类型（1泥石流2异物侵限 3断轨监测）
     */
    private Integer alarmType;

    /**
     * 框定范围
     */
    private String alarmAttr;

    /**
     * 解除人
     */
    private String releasedBy;

    /**
     * 解除时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date releasedTime;

    /**
     * 报警是否解除 1已解除2未解除
     */
    private Integer isRelease;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 解除内容
     */
    private String releaseContent;

    /**
     * 线路名称
     */
    private String railwayName;

    /**
     * 监控范围开始里程位置
     */
    private String beginMile;

    /**
     * 监控范围结束里程位置
     */
    private String endMile;

    /**
     * 报警里程位置字符串形式
     */
    private String alarmMiles;

    /**
     * 报警次数
     */
    private Integer alarmCount;

    /**
     * 报警图片地址网络路径
     */
    private List<String> imageUrls;

    /**
     * 解除人真实姓名
     */
    private String releasedByName;

    /**
     * 状态：1未读；2已读
     */
    private Integer status;

    /**
     * 推送消息ID
     */
    private String msgId;

    /**
     * 报警行别字符串(1上行2下行)
     */
    private String lineDirName;

    /**
     * 报警病害类型（目前只有1泥石流，后续可扩展使用）
     */
    private String alarmTypeName;

    /**
     * 报警是否解除 1已解除2未解除
     */
    private String  isReleaseName;

    private String releasedUrl;

    /**
     * 终端编码
     */
    private String terminalCode;

    /**
     * 终端名称
     */
    private String terminalName;

    /**
     * 忽略时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ignoreTime;
}
