package com.ozs.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 报警信息表
 * </p>
 *
 * @author ozs
 * @since 2023-02-22
 */
@Data
public class MsgAlarmResp implements Serializable {

    private static final long serialVersionUID = 1L;

    private long id;

    private String alarmId;

    /**
     * web,app 唯一标识-uuid
     */
    private String pushId;

    /**
     * 线路编码
     */
    private String railwayCode;

    /**
     * 线路名称
     */
    private String railwayName;

    /**
     * 报警病害类型（1泥石流2异物侵限 3断轨监测）
     */
    private Integer alarmType;
    private String alarmTypeStr;

    /**
     * 报警行别(1上行2下行)
     */
    private Integer lineDir;
    private String lineDirStr;

    /**
     * 所属工务段编码(单位id)
     */
    private Long deptId;

    /**
     * 报警里程位置
     */
    private String alarmMile;

    /**
     * 报警里程位置
     */
    private Integer alarmMiles;

    /**
     * 里程范围
     */
    private String beginMile;

    /**
     * 监视相机经度纬度
     */
    private String installLongitude;

    /**
     * 报警是否解除 1已解除2未解除
     */
    private Integer isRelease;
    private String  isReleaseName;

    /**
     * 解除内容
     */
    private String releaseContent;

    /**
     * 解除时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date releasedTime;

    /**
     * 相机编码
     */
    private String cameraCode;

    /**
     * 报警时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date alarmTime;

    /**
     * 报警图片地址
     */
    private List<String> imageUrls;

    /**
     * 1图片；2声音；3视频;4.录制视频的地址
     */
    private Integer alarmAttType;

    /**
     * 所属工务段编码(单位名称)
     */
    private String deptName;
    
    /**
     * 报警内容
     */
    private String content;

    /**
     * 解除人真实姓名
     */
    private String releasedByName;

    /**
     * 报警类型 字符串
     */
    private String alarmTypeName;

    /**
     * 来源
     */
    private String source;

    /**
     * 来源名称
     */
    private String sourceName;

    private String alarmAttrName;
    
    private String onlineName;
    
    private String enableOrNotName;

    private Integer alarmLevel;
}
