package com.ozs.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ozs.common.vo.PageVo;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 报警信息请求参数表
 * </p>
 *
 * @author ozs
 * @since 2023-02-22
 */
@Data
public class MsgAlarmVo extends PageVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 报警ID
     */
    private Long id;

    /**
     * 标识UUID
     */
    private String alarmId;

    /**
     * 相机编码
     */
    private String cameraCode;

    /**
     * 剩余电量
     */
    private Integer electricity;

    /**
     * 线路编码
     */
    private String railwayCode;

    /**
     * 线路编码名称
     */
    private String railwayCodeName;

    /**
     * 报警行别
     */
    private Integer lineDir;
    /**
     * 报警行别 字符串
     */
    private String lineDirStr;
    
    /**
     * 报警病害类型（目前只有1泥石流，后续可扩展使用）
     */
    private Integer alarmType;

    /**
     * 报警里程位置
     */
    private Integer alarmMile;

    @TableField(exist = false)
    private BigDecimal alarmMileBD;

    /**
     * 监控范围开始里程位置
     */
    private Integer beginMile;

    /**
     * 监控范围结束里程位置
     */
    private Integer endMile;

    /**
     * 开始报警时间
     */
    private String beginAlarmTime;

    /**
     * 结束报警时间
     */
    private String endAlarmTime;

    /**
     * 报警是否解除 1已解除2未解除
     */
    private Integer isRelease;
    private String isReleaseName;

    /**
     * 用户userID
     */
    private String userId;

    /**
     * 状态：1未读；2已读
     */
    private Integer status;

    /**
     * 报警里程位置
     */
    private String alarmMiles;
    /**
     * 监控范围开始里程位置字符串形式
     */
    private String beginMiles;

    /**
     * 监控范围结束里程位置字符串形式
     */
    private String endMiles;

    /**
     * 来源
     */
    private String source;
}
