package com.ozs.mapper;

import com.ozs.entity.VehiclePosition;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.entity.vo.VehiclePositionResp;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 机车行驶表 Mapper 接口
 * </p>
 *
 * @author ozs
 * @since 2023-04-11
 */
public interface VehiclePositionMapper extends BaseMapper<VehiclePosition> {
    /**
     * 查询机车行驶日志列表
     *@param vehicleCode 机车号
     *@param railwayCode 线路编码
     *@param lineDir 行别
     *@param status 车载状态
     */
    List<VehiclePosition> list(@Param("vehicleCode") String vehicleCode, @Param("railwayCode") String railwayCode, @Param("lineDir") Integer lineDir, @Param("status") Integer status);

    List<VehiclePosition> vehiclePositionPage(@Param("terminalCode") String terminalCode, @Param("terminalName") String terminalName,@Param("status") Integer status);
}
