package com.ozs.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.entity.BaseDeviceDynamicManagement;
import com.ozs.entity.CameraTree;
import com.ozs.entity.VehicleTree;
import com.ozs.entity.vo.CameraTreeVo;
import com.ozs.entity.vo.VehicleTreeVo;

import java.util.List;

/**
 * 设备动态管理表 服务类
 *
 * @author ozs
 * @since 2023-02-22
 */
public interface BaseDeviceDynamicManagementService extends IService<BaseDeviceDynamicManagement> {

    /**
     * 编织相机树
     */
    CameraTree cameraTree(CameraTreeVo cameraTreeVo);

    /**
     * 编织机车树
     */
    VehicleTree vehicleTree(VehicleTreeVo vehicleTreeVo);

    List<Object> getPlayInfoByTerminalCode(String terminalCode);
}
