package com.ozs.utils;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Configuration
@Data
public class CaneraConfig {

    /**
     * 视频服务器访问路径
     */
    @Value("${base.historyUrl:http://47.106.159.135/streams}")
    private String historyUrl;

    /**
     * ffmpeg.exe路径
     * "D:\\Java\\operSources\\ffmpeg-4.3.1\\bin\\ffmpeg.exe"
     */
    @Value("${base.ffmpegPath:C:\\Users\\Administrator.DESKTOP-0NUUTMM\\Downloads\\ffmpeg-5.1.2-essentials_build\\ffmpeg-5.1.2-essentials_build\\bin\\ffmpeg.exe}")
    private String ffmpegPath;


    @Value("${base.filePath:/opt/streams/}")
    private String filePath;

    /**
     * 录制视频存放路径
     */
    @Value("${base.transcribeFilePath:/opt/streams/record/flv}")
    private String transcribeFilePath;


    @Value("${base.webUrl:http://47.106.159.135/streams}")
    private String webUrl;

    @Value("${base.bakUrl:http://124.70.58.209:18891}")
    private String bakUrl;

    @Value("${base.bakUrlRtsp:rtsp://124.70.58.209:8554}")
    private String bakUrlRtsp;

    @Value("${base.wsUrl:http://124.70.58.209:18891}")
    private String wsUrl;

    @Value("${base.recordUrl:http://183.236.39.220:8083}")
    private String recordUrl;

    @Value("${base.hkUrl:http://10.48.253.21:1443}")
    private String hkUrl;

    @Value("${artemis.host:10.48.253.21:1443}")
    private String host;

    @Value("${artemis.appKey:20110033}")
    private String appKey;

    @Value("${artemis.appSecret:QoGESFXOYrC68ixIS7wo}")
    private String appSecret;
    
}
